package com.ysnows.base.ccextension

import com.billy.cc.core.component.CC
import com.billy.cc.core.component.IComponent

abstract class BIComponent : IComponent {

    override fun getName(): String {
        return String.format("I%s", this.javaClass.simpleName.substring(2))
    }

    override fun onCall(cc: CC): Boolean {
        return CCExtension.onCall(this, cc)
    }
}